Subject: RE: [External] : bug#76248: [Feature Request] user-option for killing buffer in `quit-window'.

From: Drew Adams <[email-masked]>
Date: Mon, 17 Feb 2025 01:14:44 +0000

> I would prefer this line to be added.
> 
>   :type '(choice (const :tag "All major modes" t)
> +                (const :tag "Bury, don't kill" nil)
> 		         (repeat (symbol :tag "Major mode")))
>   :version "31.1"
>   :group 'windows)

+1 for allowing a bury-buffer choice.

That's what I was hinting at when I posted
that I use a function `quit-window-delete'
that buries the buffer rather than killing it.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=76248#29
___

And as I indicated there:

  This is similar to the version of `quit-window'
  that Emacs had before the introduction of
  `quit-restore-window'.  It ignores the
  information stored in WINDOW's `quit-restore'
  window parameter.

  It deletes the WINDOW more often, rather than
  switching to another buffer in it.  If WINDOW
  is alone in its frame then the frame is deleted
  or iconified, according to option
  `frame-auto-hide-function'.

However, the way the enhancement seems to be
getting implemented so far, your addition of a
bury-it option in the way you propose doesn't
seem right - it appears to be just bolted on as
an after-thought. 

Burying as an option should be at the same level
of choice as killing as an option - it's parallel
to that choice.  It's not parallel with a choice
of all modes versus specific modes - it's not an
alternative to mode choices.